NetworkLinkControl (KML Framework API)
Keywords: org.boehn.kmlframework.kml.NetworkLinkControl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class NetworkLinkControl

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.NetworkLinkControl

    public class NetworkLinkControl

extends KmlObject

Constructor Summary
`NetworkLinkControl()`
`NetworkLinkControl(java.lang.Double minRefreshPeriod, java.lang.Double maxSessionLength, java.lang.String cookie, java.lang.String message, java.lang.String linkName, java.lang.String linkDescription, java.lang.String linkSnippet, java.lang.Integer linkSnippetMaxLines, java.lang.String expires, Update update, AbstractView abstractView)`

Method Summary
`AbstractView` | `getAbstractView()`
`java.lang.String` | `getCookie()`
`java.lang.String` | `getExpires()`
`java.lang.String` | `getLinkDescription()`
`java.lang.String` | `getLinkName()`
`java.lang.String` | `getLinkSnippet()`
`java.lang.Integer` | `getLinkSnippetMaxLines()`
`java.lang.Double` | `getMaxSessionLength()`
`java.lang.String` | `getMessage()`
`java.lang.Double` | `getMinRefreshPeriod()`
`Update` | `getUpdate()`
`void` | `setAbstractView(AbstractView abstractView)`
`void` | `setCookie(java.lang.String cookie)`
`void` | `setExpires(java.lang.String expires)`
`void` | `setLinkDescription(java.lang.String linkDescription)`
`void` | `setLinkName(java.lang.String linkName)`
`void` | `setLinkSnippet(java.lang.String linkSnippet)`
`void` | `setLinkSnippetMaxLines(java.lang.Integer linkSnippetMaxLines)`
`void` | `setMaxSessionLength(java.lang.Double maxSessionLength)`
`void` | `setMessage(java.lang.String message)`
`void` | `setMinRefreshPeriod(java.lang.Double minRefreshPeriod)`
`void` | `setUpdate(Update update)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkLinkControl

    public NetworkLinkControl()

### NetworkLinkControl

    public NetworkLinkControl(java.lang.Double minRefreshPeriod,
                              java.lang.Double maxSessionLength,
                              java.lang.String cookie,
                              java.lang.String message,
                              java.lang.String linkName,
                              java.lang.String linkDescription,
                              java.lang.String linkSnippet,
                              java.lang.Integer linkSnippetMaxLines,
                              java.lang.String expires,
                              Update update,
                              AbstractView abstractView)

Method Detail

### getMinRefreshPeriod

    public java.lang.Double getMinRefreshPeriod()

### setMinRefreshPeriod

    public void setMinRefreshPeriod(java.lang.Double minRefreshPeriod)

### getMaxSessionLength

    public java.lang.Double getMaxSessionLength()

### setMaxSessionLength

    public void setMaxSessionLength(java.lang.Double maxSessionLength)

### getCookie

    public java.lang.String getCookie()

### setCookie

    public void setCookie(java.lang.String cookie)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getLinkName

    public java.lang.String getLinkName()

### setLinkName

    public void setLinkName(java.lang.String linkName)

### getLinkDescription

    public java.lang.String getLinkDescription()

### setLinkDescription

    public void setLinkDescription(java.lang.String linkDescription)

### getLinkSnippet

    public java.lang.String getLinkSnippet()

### setLinkSnippet

    public void setLinkSnippet(java.lang.String linkSnippet)

### getLinkSnippetMaxLines

    public java.lang.Integer getLinkSnippetMaxLines()

### setLinkSnippetMaxLines

    public void setLinkSnippetMaxLines(java.lang.Integer linkSnippetMaxLines)

### getExpires

    public java.lang.String getExpires()

### setExpires

    public void setExpires(java.lang.String expires)

### getUpdate

    public Update getUpdate()

### setUpdate

    public void setUpdate(Update update)

### getAbstractView

    public AbstractView getAbstractView()

### setAbstractView

    public void setAbstractView(AbstractView abstractView)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD